unit slemenu;

interface

uses filedef, slenter, crt, dos, cfgdef, strznnp, strings, sldata, data, utils, sublist;

function addarea(var fptr : file) : boolean;

implementation

type string20 = array [0..0] of string[20];
type ma = array [1..1] of cfgscrtype;


function addarea(var fptr : file) : boolean;
var
	s, t	: string;
    ret		: word;
    areacfg	: _areacfg;
    nac		: _areacfg;
    p		: setupptr;

begin
    fillchar(nac, sizeof(nac), 0);

    addarea := false;

	clrscr;
    heading('Add Message Area');

    writeln(#10);
    textcolor(cf.colorchart[NORMAL]);
    write('Enter the new FidoNet EchoMail or UseNet area name:'#13#10'  ');

	s := getlinep('', 40, true, false, false, 0, 0, ret, #0, true);
    writeln(#13#10);

    if s = '' then exit;

    t := upstr(s);

	seek(fptr, 0);
    while (not eof(fptr)) do
    begin
        blockread(fptr, areacfg, sizeof(areacfg));
        if (upstr(fromnts(@areacfg.tag)) = t) then
        begin
        	textcolor(cf.colorchart[ERRCOLOR]);
            write('Area ',s,' already exists!  ');
            pok;
            exit;
        end;
    end;

    tonts(s, nac.tag);

    if (pos('.', s) > 0) then
    begin
	    textcolor(cf.colorchart[NORMAL]);
	    write('Is this a usenet area? ');
        if (bar_yesno = 'Y') then
        	nac.isusenet := 1;
        writeln(#10);
    end;

	textcolor(cf.colorchart[NORMAL]);
	write('Enter the Searchlight area, if any: ');

	s := getlinep('', 8, true, false, false, 0, 0, ret, #0, true);
    writeln(#13#10);

    SubListInit(subboards, '');
    p := templistindex(s, subboards);
    if (p = Nil) or (p^.name <> s) then
    begin
        textcolor(cf.colorchart[NORMAL]);
    	write('Searchlight area ',s,' does not exist.  Create area? ');
        if (bar_yesno = 'Y') then
        begin



        end;

        writeln(#10);
    end;

    tonts(s, nac.slarea);

	textcolor(cf.colorchart[NORMAL]);

end;

end.