unit strings;

interface

uses crt, dos;

type aoc=array [0..0] of char;
     aocp=^aoc;

function fromnts(p : aocp) : string;
procedure tonts(s : string; var p : array of char);
procedure strcpy(var dest : array of char; source : array of char);
function downstr(s : string) : string;


implementation

function fromnts(p : aocp) : string;
var
	s : string;
    n : integer;
begin
	s := '';
    n := 0;
    while (p^[n] > #0) do
	begin
		s := s + p^[n];
		inc(n);
	end;
	fromnts := s;
end;

procedure tonts(s : string; var p : array of char);
var
	lp : integer;
begin
	for lp := 1 to length(s) do
        	p[lp-1] := s[lp];
        p[length(s)] := #0;
end;

procedure strcpy(var dest : array of char; source : array of char);
var
	lp : integer;
begin
	lp := 0;
        while (source[lp] > #0) do
        begin
        	dest[lp] := source[lp];
                inc(lp);
        end;
end;

function downstr(s : string) : string;
var lp : integer;
begin
	for lp := 1 to length(s) do
		if (s[lp] in ['A'..'Z']) then
			s[lp] := chr(ord(s[lp])+32);
	downstr := s;
end;


end.
