{$O+}
{$F+}

unit cmu;

interface

uses general, filedef, sublist, message, users, post, crt, kill, dos, submaint, block, dir;

type
	newmsgarea = record
		subboard  : string;
                path 	  : string;
                name      : string;
		subsysop  : string;
                maxmsglen : word;
                maxsize   : word;
                access    : byte;
                allowname : byte;

                echomail, autokill, compress,
                userjoin, visible, anon		: boolean;

                ozone, onet, onode, opoint	: word;

                subfile   : string;
	end;

        newfile = record
        	area	  : string;
                name	  : string;
                desc      : string;
                size	  : longint;
                userid	  : word;
                pw	  : string;
                useedf	  : boolean;
        end;

procedure main_cmu(str : string);


implementation

procedure addfiles;
var
	thing : string;
        fptr : file;
        tptr : text;
        well : longint;
        nf : newfile;
        nfd : dirtype;
        msg : msgptr;
        ok : boolean;
begin
        if (openfiles([CONFIGF,NODESF]) = false) then
                halt(10);

        thing := '';
        if (sublistinit(filedirs, thing) = false) then
        	halt(11);

	assign(fptr, 'newfile.dat');
        {$I-}
        reset(fptr, 1);
        {$I+}
        if ioresult <> 0 then
        begin
        	writeln('Can''t find NEWFILE.DAT in current directory!');
                exit;
        end;

        blockread(fptr, nf, sizeof(nf));
        close(fptr);
	erase(fptr);

        upstr(nf.area);
        stripspaces(nf.area);
 	ok := opendir(nf.area, maindir);
        upstr(nf.name);

        fillchar(nfd, sizeof(dirtype), 0);
        with nfd do
	begin
                name := nf.name;
                descrip := nf.desc;
                length := nf.size;
                id := nf.userid;
                hash(nf.pw, passwd);

                dosdate(date);
        end;

        if (nf.useedf = true) then
        begin
		assign(tptr, 'newfile.edf');
	        {$I-}
	        reset(tptr);
	        {$I+}
	        if ioresult <> 0 then
	        begin
	        	writeln('Can''t find NEWFILE.EDF in current directory!');
	                exit;
	        end;
                new(msg);
                clearmsg(msg);
                while (not eof(tptr)) do
                begin
                	readln(tptr, thing);
                        addline(msg, thing);
                end;
        	close(tptr);

                nfd.edftxt := savedescription(msg);
                disposemsg(msg);
	end;

        addfile(nfd, well);

        closedir(maindir);
        closeallfiles;
end;

procedure addsub;
var ok	 : boolean;
    sub	 : subtype;
    n    : integer;
    tptr : text;
    fptr : file;
    nm   : newmsgarea;
    thing : string;
begin
        if (openfiles([CONFIGF,NODESF]) = false) then
                halt(10);

        thing := '';
        if (sublistinit(subboards, thing) = false) then
        	halt(11);

	fillchar(sub, sizeof(sub), 0);

        assign(fptr, 'newsub.dat');
        {$I-}
        reset(fptr, 1);
        {$I+}
        if ioresult <> 0 then
        begin
        	writeln('Can''t find NEWSUB.DAT in current directory!');
                exit;
        end;

        blockread(fptr, nm, sizeof(nm));
        close(fptr);
	erase(fptr);

    	with sub do begin
      		name := nm.name;
		maxmsglen := nm.maxmsglen;
      		maxsize := nm.maxsize;
      		anonymous := nm.anon;
      		subsysop := nm.subsysop;
      		access := nm.access;

                echomail := nm.echomail;
                autokill := nm.autokill;
                compress := nm.compress;
                userjoin := nm.userjoin;
                visible := nm.visible;
        	origzone := nm.ozone;
                orignet := nm.onet;
                orignode := nm.onode;
                origpoint := nm.opoint;
	end;

    	ok := addsubboard(nm.subboard, sub, nm.path);
        if (ok) and (nm.subfile <> '') then
        begin
		assign(tptr, nm.subfile);
                {$I-}
                append(tptr);
                {$I+}
                if (ioresult = 0) then
                begin
                        writeln(tptr, nm.subboard);
                	close(tptr);
                end;
        end;
        closeallfiles;
end;

procedure main_cmu(str : string);
begin
	if str = 'as' then
                addsub;
        if str = 'af' then
        	addfiles;
end;

end.

