
struct _domain
{
	word	zone;
	char	domain[9];
	char	path[31];
};


class TDArcOut
{
  public:
	znnp	To;
	long	Pkt;
	word	LastDate;
	word	Today;

	TDArcOut *next;


  public:
	TDArcOut(void);
	~TDArcOut(void);
};

class TArcOut
{
  private:
	TDArcOut	*data;

  public:
	TArcOut(void);
	~TArcOut(void);

	TDArcOut *	Write(znnp *);
	TDArcOut *	Write(znnp *, long, word);
	TDArcOut *	Read(znnp *);
};

class TDArchive		// ARCHIVE.CM (minus the *next)
{
  public:
	char	Name[15];
	long	IdLocation;
	byte	IdString[30];

	char	CmdAdd[80];
	char	CmdExtract[80];

	TDArchive *next;

  public:
	TDArchive(void);
	~TDArchive(void);
};


class TArchive
{
  private:
	TDArchive *	arch;
	TArcOut   *	ArcOut;

	TDArchive *	FindName(char *);

	void		Comment(char *, TDCPkt *);
	int 		FrontDoor(char *, TDCPkt *);
	int 		Bink(char *, TDCPkt *);
	int 		Compress(char *, char *, TDCPkt *, int);

	char *		GenFDArcName(TDCPkt *CurCPkt, byte *append);
	char *		GenDBArcName(TDCPkt *CurCPkt);

	char		*arc, *pkt;

  public:
	TArchive(void);
	~TArchive(void);

	void 		Interpret(char *str, char *a, char *f, char *buf);
	TDArchive *	CompressType(char *file);

	void 		Extract(void);
	int			Archive(void);
};






