
#ifndef __CMDLINE_H
#define __CMDLINE_H

enum CmdType {  CmdNone, CmdOk,
		CmdFidoIn, CmdInetIn, CmdOut,
		CmdAll,
		CmdPack, CmdMail, CmdCMFix,
		CmdInfo, CmdHelp, CmdPok };

//define CONTIN			150


struct _cmds
{
	char	cmd[15];
	char	nopts;
	CmdType	ret;
	char	desc[60];
};


static _cmds def[] = {  { "fin", 0, CmdFidoIn, "Import FidoNet netmail and echomail into Searchlight" } ,
			{ "iin", 0, CmdInetIn, "Import Internet email and usenet into Searchlight" } ,
			{ "out", 0, CmdOut, "Export email/usenet/netmail/echomail from Searchlight" } ,
			{ "all", 0, CmdAll, "Perform all the above commands" } ,
			{ "mail", 0, CmdMail, "Scans for inbound and outbound mail" } ,
			{ "pack", 0, CmdPack, "Packs outbound netmail" } ,
			{ "cmfix", 0, CmdCMFix, "Processes inbound AreaFix messages" } ,
			{ "info", 0, CmdInfo, "Displays some information about CatMail" } ,
			{ "pok", 0, CmdPok, "Pok!" },
			{ "", 0, CmdNone }
		     };


#endif
