//  CMPKT.CPP class definitions.

enum { SHAREWARE, NEW_AREA, DUPE, CRITERR, DISK_SPACE };



class TDupe
{
  private:
	char		last[10];
	FILE		*dptr;
	char		dptropen;

	int		memalloced;
	_dupepkt	*dp;
	_dupehdr	dh;


  public:
	TDupe(void);
	~TDupe(void);

	int	DupeCheck(char *, _dupepkt *);
};



class TPkt
{
  private:
	FILE		*pktfile, *CMIfile;

	_pkthdr		*pkthdr;
	_msghdr		*msghdr;
	_cmmsg		*cmmsg;
	char		*area, *pktname;

	znnp		*orig, *dest;

	char		*LastSLArea, *LastBadArea;

	TDupe		Dupe;

	_nodestats 	ns;

	char		*msgbuf, *LastReadLine;
	int			NetInRun, SentDupeToSys;
	long		NumMsgsImported;

	void		CopyPKTs(void);
	int			ReadPKT(void);
	int 		CheckRoutedMsg(void);
	int 		TossBadMessage(char *, word);

	void		ConvType1Pkthdr(void);
	int			GetType2MsgHeader(void);
	void 		ProcType2Netmail(void);
	int 		ProcType2EchoMail(void);

	void 		CheckCatPkt(void);
	void 		TidyTMP(char *, char *, char *);
	void 		WriteToCMI(char *, FILE *, word);


  public:
	TPkt(void);
	~TPkt(void);

	int		Import(void);
	void		MailToSysOp(int);
};
