
#ifndef __GDEFS_H
#define __GDEFS_H

//  These don't have constructors and are inited at runtime.

extern  TSys	Sys;
extern	TZnnp	Znnp;
extern	TUtil	Util;
extern	TSUtil	SUtil;
extern	TFUtil	FUtil;
extern	TGenNet	GenNet;
extern	TRoute	Route;

//  These do have constructors but aren't very important.  Inited at run.

extern	TCPkt	CPkt;


//  These are pointers which are inited by new when necessary.

extern	TLog		 *Log;
extern	TArea		 *Area;
extern	TPassword 	 *Password;
extern	TRegInfo	 *RegInfo;
extern	TStats		 *Stats;
extern	TSearchlight *Searchlight;
extern	_cfg		 *cfg;

#endif
