#ifndef __ICFG_H
#define __ICFG_H

#include "defs.h"

typedef enum { A_Inbound, A_InOut, A_MailList, A_Ignore,
			   A_Forward, A_Redirect, A_Bounce } alias_t;

typedef enum { H_None, H_Top, H_Bottom } headerpos_t;


struct _icfg
{
	char	id[10];
	char	address[50];
	char	returnaddr[50];
	char	uucpname[15];
	char	emailhost[15];
	char	usenethost[15];
	char	postmaster[30];
	char	spoolpath[45];

	byte	accsend[4], accrecv[4];

	byte	enabled;
	word	defcredits;

	headerpos_t	email_head, usenet_head;

	byte	killcontrols;

	byte 	other[199];
};

struct THosts
{
	char	name[15];
	char	postmaster[60];
	byte	AllowEmailPassing;

	byte	other[200];
};

struct TNameAlias
{
	char	user[25];
	char	inetname[70];
	alias_t	atype;
	char	forwardto[70];
};

#endif
