
uses
	dos, crt,
	defs, cfgdef, slmenu, slenter, menus,
	cminit, putils,
	filedef;


var
	oldexitproc : pointer;

{$F+}
procedure cmsetup_exit;
var
	n : integer;
	fptr : file;
begin
	exitproc := oldexitproc;

	assign(fptr, 'CMINUSE.FLG');
	{$I-} erase(fptr); {$I+}
	n := ioresult;
end;


procedure cmsetup_main;
var fptr : file;
begin
	assign(fptr, 'CMINUSE.FLG');
	{$I-} rewrite(fptr, 1); {$I+}
	close(fptr);

    oldexitproc := exitproc;
    exitproc := @cmsetup_exit;
end;

const
	p1 : array [0..15] of ^boolean =
		(@ab1.pvt, @ab1.cra, @ab1.rcv, @ab1.snt, @ab1.fat, @ab1.int,
		 @ab1.orp, @ab1.kws, @ab1.loc, @ab1.hld, nil,      @ab1.frq,
		 @ab1.rrq, @ab1.irr, @ab1.arq, @ab1.fur);

	p2 : array [0..15] of ^boolean =
		(@ab2.pvt, @ab2.cra, @ab2.rcv, @ab2.snt, @ab2.fat, @ab2.int,
		 @ab2.orp, @ab2.kws, @ab2.loc, @ab2.hld, nil,      @ab2.frq,
		 @ab2.rrq, @ab2.irr, @ab2.arq, @ab2.fur);

procedure mkabs;
var
	i : integer;
begin
	for i := 0 to 15 do
	begin
		p1[i]^ := (cfg.fl_net and (1 shl i) > 0);
		p2[i]^ := (cfg.fl_netf and (1 shl i) > 0);
	end;
end;

procedure putabs;
var
	i, lp : integer;
begin
	cfg.fl_net := 0;
	cfg.fl_netf := 0;

	for i := 0 to 15 do
	begin
		if p1[i]^ = true then
			cfg.fl_net := cfg.fl_net or (1 shl i);

		if p2[i]^ = true then
			cfg.fl_netf := cfg.fl_netf or (1 shl i);
	end;

	lp := 0;
	for i := 0 to 14 do
	begin
		if (i <> lp) then
			move(cfg.address[i], cfg.address[lp], 8);

		if cfg.address[i].zone > 0 then
			inc(lp);
	end;
end;


begin
	cmsetup_main;

	directvideo := false;
	checkbreak := false;

	cstrings := true;
    fillchar(cfg, sizeof(cfg), 0);
	if not openfiles([CONFIGF,NODESF]) then
    begin
    	writeln(#10'Unable to open Searchlight configuration files.');
        writeln('Check that your SLBBS environment variable is set correctly.');
        halt(30);
    end;
    ansi := true;

    if (read_cfg = false) then
		setup_cfg;

	mkabs;

	exec_menu(d_main);

	putabs;

	closeallfiles;
    write_cfg;

    quit;
end.
