unit slenter;

interface

uses crt, filedef;

procedure high;
procedure low;

function  bar_yesno : char;
function  bar_noyes	: char;

procedure init_barmenu;
procedure add_barmenu(t, d : string);
function  disp_barmenu(var pos : byte) : char;
function  disp_barmenu_1 : char;

procedure init_listmenu;
procedure add_listmenu(d : string);
procedure desc_listmenu(d : string);
function  disp_listmenu(var at : byte) : byte;

function getlinep(init : string; maxlen : integer;
		  allcaps, path, updown : boolean;
		  min,max : longint; var ret : word;
		  ungetch : char; extended : boolean) : string;

procedure heading(s : string);

{function getline(init:string; maxlen : integer; allcaps, path : boolean) : string;}

type _barmenu = record
   title : string[20];
   desc : string[80];
   keypos : byte;
end;

type _listmenu = record
   desc : string[60];
   hot  : char;
end;


var
	barmenu	: array [1..20] of _barmenu;
	listmenu: array [1..26] of _listmenu;
	x	: word;
	ansi	: boolean;
	startx	: word;
	added	: word;

	nlist	: word;
	nhot	: word;
        highon  : boolean;

implementation

procedure high;
begin
	textcolor(cf.colorchart[INVERSE]);
	textbackground(cf.colorchart[BACKGROUND]);
        highon := true;
end;

procedure low;
begin
	textcolor(cf.colorchart[NORMAL]);
        textbackground(black);
        highon := false;
end;

function bar_yesno : char;
var ch : char;
begin
	init_barmenu;
	add_barmenu('Yes', '');
	add_barmenu('No', '');
	bar_yesno := disp_barmenu_1;
end;

function bar_noyes : char;
var ch : char;
begin
	init_barmenu;
	add_barmenu('No', '');
	add_barmenu('Yes', '');
	bar_noyes := disp_barmenu_1;
end;

procedure init_barmenu;
begin
	added := 0;
	fillchar(barmenu, sizeof(_barmenu)*20, 0);
end;

procedure add_barmenu(t, d : string);
var
	n, lp : integer;
begin
	n := 1;
	while (barmenu[n].title <> '') do
		inc(n);
	barmenu[n].title := t;
	barmenu[n].desc := d;

	for lp := 1 to length(t) do
	begin
		if (t[lp] < #97) then
		begin
			barmenu[n].keypos := lp;
			lp := length(t);
		end;
	end;

	inc(added);

	if (barmenu[n].keypos = 0) then
		barmenu[n].keypos := 1;
end;



function disp_barmenu_na : char;
var
	lp, pos : byte;
	ch : char;
label maine;
begin
	lp := 1;
	while (barmenu[lp].title <> '') do
	begin
		write(copy(barmenu[lp].title, 1, barmenu[lp].keypos-1));
		write('(');
		write(barmenu[lp].title[barmenu[lp].keypos]);
		write(')');
		write(copy(barmenu[lp].title, barmenu[lp].keypos+1, 100));

		if barmenu[lp+1].title <> '' then
			write(', ');
		inc(lp);
	end;
	write(' ? ');

maine:
	ch := readkey;

	if (ch = #27) then
	begin
		lp := 1;
		pos := 0;
		while (barmenu[lp].title <> '') do
		begin
			if (barmenu[lp+1].title = '') then
				pos := lp;
			inc(lp);
		end;

		disp_barmenu_na := upcase(barmenu[pos].title[barmenu[pos].keypos]);
		exit;
	end;

	ch := upcase(ch);
	lp := 1;
	while (barmenu[lp].title <> '') and (lp <> 0) do
	begin
		if (upcase(barmenu[lp].title[barmenu[lp].keypos]) = ch) then
		begin
			pos := lp;
			lp := 0;
		end
		else
			inc(lp);
	end;

	if (lp = 0) then
	begin
		disp_barmenu_na := ch;
		exit;
	end;

	goto maine;
end;



procedure dispm(pos : byte; lp : byte);
begin
	if (pos = lp) then
	begin
		textbackground(cf.colorchart[BACKGROUND]);
		textcolor(cf.colorchart[INVERSE]);
		write(' ',barmenu[lp].title,' ');
		textbackground(black);
		x := wherex;
		if (barmenu[lp].desc <> '') then
		begin
			writeln;
			textcolor(cf.colorchart[SPECIAL]);
			clreol;
			write(barmenu[lp].desc);
			gotoxy(x,wherey-1);
		end;
	end
	else
	begin
		write(' ');
		if (barmenu[lp].keypos = 1) then
		begin
			textcolor(cf.colorchart[SPECIAL]);
			write(barmenu[lp].title[1]);
			textcolor(cf.colorchart[PROMPTCOLOR]);
			write(copy(barmenu[lp].title, 2, 100));
		end
		else
		begin
			textcolor(cf.colorchart[PROMPTCOLOR]);
			write(copy(barmenu[lp].title, 1, barmenu[lp].keypos-1));
			textcolor(cf.colorchart[SPECIAL]);
			write(barmenu[lp].title[barmenu[lp].keypos]);
			textcolor(cf.colorchart[PROMPTCOLOR]);
			write(copy(barmenu[lp].title, barmenu[lp].keypos+1, 100));
		end;
		write(' ');
	end;
end;

function disp_barmenu(var pos : byte) : char;
var
	lp : byte;
	ch : char;
	d : word;
label maine;

begin
	if (ansi = false) then
	begin
		disp_barmenu := disp_barmenu_na;
		exit;
	end;

	startx := wherex;

	lp := 1;
	while (barmenu[lp].title <> '') do
	begin
		dispm(pos, lp);
		inc(lp);
	end;

	gotoxy(x, wherey);

maine:
	ch := readkey;
	if (ch = #0) then
	begin
		ch := readkey;
		if (ch = #77) then
		begin
			inc(pos);
			gotoxy(wherex-length(barmenu[pos-1].title)-2, wherey);
			dispm(pos, pos-1);
			if (barmenu[pos].title = '') then
			begin
				gotoxy(startx,wherey);
				pos := 1;
			end;
			dispm(pos, pos);
			goto maine;
		end;

		if (ch = #75) then
		begin
			dec(pos);
			gotoxy(wherex-length(barmenu[pos+1].title)-2, wherey);
			dispm(pos+2, pos+1);

			if (pos = 0) then
			begin
				lp := 1;
				d := startx;
				while (barmenu[lp+1].title <> '') do
				begin
					inc(d, length(barmenu[lp].title)+2);
					inc(lp);
				end;
				pos := lp;
				gotoxy(d, wherey);
			end
			else
				gotoxy(wherex-length(barmenu[pos+1].title)-length(barmenu[pos].title)-4, wherey);

			dispm(pos, pos);

			goto maine;
		end;

		goto maine;
	end;

	ch := upcase(ch);
	lp := 1;
	while (barmenu[lp].title <> '') and (lp <> 0) do
	begin
		if (upcase(barmenu[lp].title[barmenu[lp].keypos]) = ch) then
		begin
			pos := lp;
			lp := 0;
		end
		else
			inc(lp);
	end;

	if (lp = 0) then
	begin
		lp := 1;
		gotoxy(startx,wherey);
		while (barmenu[lp].title <> '') do
		begin
			dispm(pos, lp);
			inc(lp);
		end;

		disp_barmenu := ch;
		exit;
	end;

	if (ch = #13) then
	begin
		disp_barmenu := upcase(barmenu[pos].title[barmenu[pos].keypos]);
		exit;
	end;

	if (ch = #27) then
	begin
		lp := 1;
		pos := 0;
		gotoxy(startx,wherey);
		while (barmenu[lp].title <> '') do
		begin
			if (barmenu[lp+1].title = '') then
				pos := lp;
			dispm(pos, lp);
			inc(lp);
		end;

		disp_barmenu := upcase(barmenu[pos].title[barmenu[pos].keypos]);
		exit;
	end;

	goto maine;
end;

function disp_barmenu_1 : char;
var p : byte;
begin
	p := 1;
        disp_barmenu_1 := disp_barmenu(p);
end;


procedure init_listmenu;
begin
	nlist := 1;
	nhot := 65;
end;

procedure add_listmenu(d : string);
begin
	listmenu[nlist].desc := d;
	listmenu[nlist].hot := chr(nhot);
	inc(nlist);
	inc(nhot);
end;

procedure desc_listmenu(d : string);
begin
	listmenu[nlist].desc := d;
	listmenu[nlist].hot := #0;
	inc(nlist);
end;

function disp_listmenu(var at : byte) : byte;
var
	lp : integer;
	ch : char;
	max : byte;
	highon : boolean;
	starty : byte;

  procedure putline(lp : byte);
  begin
	if (listmenu[lp].hot = #0) then
	begin
		gotoxy(13, lp+starty);
		textcolor(WHITE);
		writeln('  ',listmenu[lp].desc);
		textcolor(cf.colorchart[NORMAL]);
	end
	else
	begin
		gotoxy(21, lp+starty);
		write('  ',listmenu[lp].hot, '. ', listmenu[lp].desc);
{                if (highon = true) then}
                	for lp := length(listmenu[lp].desc) to max+1 do
                        	write(' ');
	end;
end;

begin
	disp_listmenu := 27;
	if nlist = 1 then exit;
	while (listmenu[at].hot = #0) and (at < nlist) do
		inc(at);
	if (at = nlist) then exit;

	starty := wherey;
	max := 0;
	for lp := 1 to nlist-1 do
		if (length(listmenu[lp].desc) > max) then
			max := length(listmenu[lp].desc);

	low;
	for lp := 1 to nlist-1 do
		putline(lp);
	high;
	putline(at);

	while true do
	begin
		ch := upcase(readkey);
		case ch of
		  #0:
		  begin
			ch := readkey;
			case ch of
			  #80:
			  begin
				low;
				putline(at);
				repeat
					inc(at);
					if at > nlist-1 then
						at := 1;
				until listmenu[at].hot <> #0;
				high;
				putline(at);
			  end;
			  #72:
			  begin
				low;
				putline(at);
				repeat
					dec(at);
					if at = 0 then
						at := nlist-1;
				until listmenu[at].hot <> #0;
				high;
				putline(at);
			  end;
			end;
		  end;

		  #27:
		  begin
			disp_listmenu := 27;
			low;
			exit;
		  end;

		  #13:
		  begin
			disp_listmenu := at;
			low;
			exit;
		  end;

		  'A'..'Z':
		  begin
			for lp := 1 to nlist do
			begin
				if (listmenu[lp].hot = ch) then
				begin
					at := lp;
					disp_listmenu := lp;
					low;
					exit;
				end;
			end;
		  end;
		end;
	end;
end;



function getlinep(init : string; maxlen : integer;
		  allcaps, path, updown : boolean;
				  min,max : longint; var ret : word;
		  ungetch : char; extended : boolean) : string;
var
	sp, s  		: string;
	x  			: integer;
	ch 			: char;
	oa 			: word;
	sx, sy 		: word;
	li 			: longint;
	ug 			: char;

begin
	ret := 1;
	oa := textattr;
	s := '';
	sx := wherex;  sy := wherey;

	textbackground(cf.colorchart[BACKGROUND]);
	textcolor(cf.colorchart[INVERSE]);

	sp := '';
	for x := 1 to maxlen do
		sp := sp + ' ';
	write(sp);

	x := 0;

	if (extended) then
	begin
		gotoxy(sx, sy);
		write(init);
{	    x := length(init);}
		s := init;
	end;

	repeat;
		gotoxy(x+sx, sy);
		if ungetch <> #0 then
		begin
				if extended then ch := #0
		else
		begin
			ch := ungetch;
						ungetch := #0;
				end;
		end
		else
			ch := readkey;
	case ch of
		  #0:
		  begin
				if (ungetch <> #0) then
				begin
						ch := ungetch;
						ungetch := #0;
				end
				else
					ch := readkey;
				case ch of
				  #79:	x := length(s);
				  #71:	x := 0;

				  #60:
				  begin
			gotoxy(sx, sy);
						write(init);
						s := init;
				for x := length(init) to maxlen do
					write(' ');
						x := length(init);
				  end;


                  #75:  if (x > 0) then dec(x);
                  #77: 	if (x < length(s)) then inc(x);
                  #83:	if (x < length(s)) then
                        begin
                                delete(s, x+1, 1);
				write(copy(s, x+1, 255), ' ');
                        end;

                  #72,#80:
                  	if (updown) then
                        begin
                                ret := word(ch);
                                ch := #13;
                        end;
                end;
          end;

          #8:
          	if (x > 0) then
                begin
                        dec(x);
			delete(s, x+1, 1);
                	write(#8, copy(s, x+1, 255), ' ');
                end;


          #27:
	  begin
                ret := 27;
                s := init;
	  	ch := #13;
          end;

          ' '..'~':
          begin
                if (length(s) < maxlen) and
		   ( (not path) or ((ch in ['!'..'}']) and not (ch in ['*','?','|','+',';','<','>']))) and
		   ( (max = 0) or (ch in ['0'..'9','-']) ) then
                begin
	          	if allcaps then
	                	ch := upcase(ch);
        	        write(ch);
                        inc(x);
                        if (length(s) > x) then
				write(copy(s, x, 255));
			s := copy(s, 1, x-1) + ch + copy(s, x, 255);
          	end;
          end;
        end;

        until ch = #13;

        if (max > 0) then
        begin
                val(s, li, x);
                if li > max then
                	str(max, s);
		if li < min then
			str(min, s);
	end;

	textbackground(black);
	textcolor(cf.colorchart[NORMAL]);

	gotoxy(sx, sy);
	write(s);

	write(copy(sp, 1, maxlen-length(s)));

	getlinep := s;
end;

{function getline(init : string; maxlen : integer; allcaps, path : boolean) : string;
begin
	getline := getlinep(init, maxlen, allcaps, path, #0, false);
end;    }


procedure heading(s : string);
var ss : string; lp : integer;
begin
	clrscr;
        textcolor(cf.colorchart[HEADCOLOR]);
        ss := '';
	for lp := 1 to length(s) do
        	ss := ss + s[lp] + ' ';
	gotoxy((80-length(ss)) div 2, 1);
	writeln(ss);
        textcolor(cf.colorchart[NORMAL]);
end;


end.
