#include <string.h>
#include <stdio.h>
#include <stdlib.h>


FILE *fptr, *gptr;
int	lp;
char	*p;

char	thing[120],type[120],var[120], ntype[50], nvar[50];

const char *c[20] =   { "int",     "word", "byte", "char", "ulong",   "long",    "znnp" };

const char *pas[20] = { "integer", "word", "byte", "char", "longint", "longint", "znnp" };


void main(void)
{
	puts("\nCCfgDef v1\n");

	fptr = fopen("cfgdef.h", "r");
	gptr = fopen("cfgdef.pas", "w");

	while (strncmp(fgets(thing,120,fptr), "struct _cfg", 10));

	fgets(thing, 120, fptr);

	fputs("unit cfgdef;\n\ninterface\n\ntype znnp = record\nzone, net : word;\nnode, point : word;\nend;\n\ntype _cfg = record\n", gptr);

	while (fgets(thing, 120, fptr))
	{
		if (thing[strlen(thing)-1] == '\n')
			thing[strlen(thing)-1] = 0;

		if (!strcmp(thing, "};"))
			break;

		if (!*thing)
			continue;

		sscanf(thing, "%s %s", type, var);
		if (*var == '/')
			continue;

		var[strlen(var)-1] = 0;

		lp = *ntype = 0;
		while (*c[lp] && !*ntype)
		{
			if (!strcmp(type, c[lp]))
				strcpy(ntype, pas[lp]);
			lp++;
		}

		if (!*ntype) strcpy(ntype, type);

		if ((p = strchr(var, '[')) != NULL)
		{
			*p = 0;
			p++;
			if (strchr(p, ']'))
				*strchr(p, ']') = 0;
			strcpy(type, ntype);
			sprintf(ntype, "array [0..%d] of %s", atoi(p)-1, type);
		}

		fprintf(gptr, "\t%-20s : %s;\n", var, ntype);
	}

	fputs("end;\n\nimplementation\n\nend.\n", gptr);

	fclose(fptr);
	fclose(gptr);
}


