unit cfgdef;

interface

uses data;

type _cfg = record
	id                   : array [0..9] of char;
	cmpath               : array [0..44] of char;
	address              : array [0..14] of znnp;
	filespath            : array [0..44] of char;
	arcnetpath           : array [0..44] of char;
	packpath             : array [0..44] of char;
	workpath             : array [0..44] of char;
	logfile              : array [0..44] of char;
	binkpath             : array [0..44] of char;
	netpath              : array [0..44] of char;
	inetlogfile 		 : array [0..44] of char;
	rescanfile           : array [0..44] of char;
	dupepath             : array [0..44] of char;
	comfile              : array [0..44] of char;
	usecomfile           : byte;
	secure               : byte;
	killblank            : byte;
	pidtype              : byte;
	colour               : byte;
	quotecolour          : byte;
	tearcolour           : byte;
	origincolour         : byte;
	tagcolour            : byte;
	stripcolour          : byte;
	sysop                : array [0..24] of char;
	rennet               : byte;
	quiet                : byte;
	mailertype           : o_mailer;
	cmfixsecure          : byte;
	loglevel             : o_loglevel;
	sentaction           : o_sa;
	wrapline             : byte;
	filecomment          : byte;
	killbadmsg           : byte;
	secureimport         : byte;
	msgstats             : byte;
	dupeaction           : o_dupe;
	dupecheck            : word;
	thread               : byte;
	rep                  : array [0..9] of byte;
	fa_net               : o_fam;
	fa_echo              : o_fam;
	fa_use               : o_fam;
	fl_net               : word;
	fl_netf              : word;
	retries              : byte;
	allowpktforward      : byte;
	msgbufsize           : word;
	splitat              : word;
	msgcachesize         : word;
	multiwindow          : char;
	usevia               : char;
	uudecode             : o_uuda;
	localnetimp          : byte;
	swapto               : byte;
	system_comment       : array [0..79] of char;
	enable_cmfix		 : byte;
	ihdrcolour			 : byte;
	transxlogfile		 : array [0..44] of char;
	defcredits			 : word;
	usehlt				 : boolean;
	fidoenabled			 : boolean;
	extra				 : array [0..141] of byte;
end;

implementation

end.
