unit defs;

interface

uses icfgdef, cfgdef, data, version;

const thrmsg : integer = 200;

	  cmi_hdr_id : array [0..5] of char = ( '', 'C', 'M', '0', '7', #0 );
	  cmi_msg_id : array [0..3] of char = ( 'C', 'M', '1', #0 );

	  cfg_cm_id : array [0..9] of char = ( '', 'C', 'M', '0', '3', '', #0, #0, #0, #0 );
	  icfg_cm_id : array [0..9] of char = ( '', 'C', 'I', '0', '1', '', #0, #0, #0, #0 );


type

	_msg = record
		datetime		: array [0..19] of char;
		touser			: array [0..35] of char;
		toinet			: array [0..79] of char;
		fromuser		: array [0..35] of char;
		frominet		: array [0..79] of char;
		subject			: array [0..79] of char;
		size			: longint;
		id				: array [0..3] of char;
		orig			: znnp;
		origin			: znnp;
		usenet,
		fileattach,
		noimport		: byte;
		notossing		: byte;
		noprocessing	: byte;
		headerattached  : byte;
		orig_i			: array [0..9] of char;
		ihdrsize		: longint;
		spare			: array [0..3] of byte;
	end;

	_reginfo = record
		regname			: string[25];
		regbbs			: string[25];
		regnum			: word;
		regnode			: znnp;
	end;

	_desc = record
		name	: array [1..9] of char;
		desc	: array [1..59] of char;
	end;

	_rescan = record
		slarea	      : array [1..9] of char;
		rescan        : word;
		noexport      : boolean;
		colourstrip   : boolean;
		nocolourstrip : boolean;
		node	      : znnp;
	end;

	_cmhdr = record
		id			: array [0..5] of char;
		tag			: array [0..39] of char;
		slarea		: array [0..9] of char;
		importedsl,
		tossedout	: longint;
		allimported,
		alltossed	: byte;
		rescanaddr	: znnp;
		origin		: sysznnp;
	end;

	_netmail = record
		fromuser		: array [0..35] of char;
		touser			: array [0..35] of char;
		subject			: array [0..71] of char;
		datetime		: array [0..19] of char;
		timesread		: word;
		destnode,
		orignode		: word;
		cost			: word;
		orignet,
		destnet			: word;
		fill			: array [1..8] of byte;
		replyto			: word;
		attrib			: word;
		nextreply		: word;
	end;


var
	mons		: array [1..12] of string[10];
	q			: integer;
	EscapeOn    : boolean;
	cfg			: _cfg;
	icfg		: _icfg;

implementation

end.

