
typedef enum { MSUninit, MSInitialised, MSDone } InitType;

typedef enum { CR0d, CR0d0a, CR0a } CRType;

class TCmi
{
  private:
	FILE	*cmif;
	char	IsFileOpen;

	long		SizeIsSet;

	InitType	MsgInited;
	CRType		cr;

	long		BytesWritten, MsgHdrAt;


  public:
	_cmmsg		mh;


	TCmi(void);
	TCmi(sysznnp *, char *, char *);
	~TCmi(void);

	int OpenCMI(sysznnp *, char *, char *);
	int CloseCMI(void);

	void SetCRType(CRType c) { cr = c; }

	int InitMessage(void);
	int FillMessageHeader(char *, char *, char *, char *, char *, char *, ulong = -1, int = 0, char * = NULL, ulong = 0);

	int MakeMessage(FILE *fptr, int = -1);
//	int MakeMessage(char *, ...);
	int MakeMessage(char *);

	long SaveMessage(void);
};

