#include "cminet.h"

class TSeenPath
{
  public:
	TZnnpLink	*data;
	znnp		old;

	TSeenPath(void) { data = NULL; }
	~TSeenPath(void) { delete data; }
	void	ReadLine(char *);
	void	AddNode(znnp *);
};



class TToss
{
  private:
	char 		*msgbuf, *line, *seenpathbuf;
	TAreaCfg	*areacfg;
	FILE		*cmifile;

	TInternet	Internet;

	_cmhdr		cmhdr;
	_cmmsg		cmmsg;
	int		moretoread, NumMsgsTossed;
	long		msgstart, loc, filesize;

	void 	WriteToPkt(znnp *);
	void 	WriteToDAT(char *System);

	int 	TossMsg(char *);
	void 	WritePktHeader(znnp *dest, FILE *pktfile);

  public:
	TToss(void);
	~TToss(void);

	int	TossCMI(void);
};
