//  Classes defined in CMNET.CPP  =======================================

#ifndef __CMNET_H
#define __CMNET_H

class TNet
{
  protected:
	char	*msgbuf;

  public:
	TNet(void);
	~TNet(void);

	int 	Import(void);
	int 	Export(void);

	int 		ScanNetmail(void);

  private:
	virtual	int	Process(char *, char *) { return 1; }
};



class TNetImport : public TNet
{
  public:
	word		MsgsImported;

	int 		Process(char *, char *);

	TNetImport(void) { MsgsImported = 0; }
};

class TNetExport : public TNet
{
  public:
	word		MsgsExported;

	int 		Process(char *, char *);

	TNetExport(void) { MsgsExported = 0; }
};

#endif